## org.exist.xupdate
Class Append

    java.lang.Object
      org.exist.xupdate.Modification
          org.exist.xupdate.Append

public class Append
extends Modification

Implements an XUpate append statement. Note: appending an attribute that is already present in an element will overwrite the old attribute value.

Author:
  Wolfgang Meier

Constructor Summary
`Append(DBBroker broker, DocumentSet docs, java.lang.String selectStmt, java.lang.String childAttr, java.util.Map namespaces, java.util.Map variables)` Constructor for Append.

Method Summary
`java.lang.String` `getName()`
`long` `process(Txn transaction)` Process the modification.

Methods inherited from class org.exist.xupdate.Modification
`getAccessContext, setAccessContext, setContent, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Append

    public Append(DBBroker broker,
                  DocumentSet docs,
                  java.lang.String selectStmt,
                  java.lang.String childAttr,
                  java.util.Map namespaces,
                  java.util.Map variables)

  Constructor for Append.

Parameters:
  `selectStmt` -

Method Detail

### process

    public long process(Txn transaction)
                 throws PermissionDeniedException,
                        LockException,
                        EXistException,
                        XPathException

  Description copied from class: `Modification`
  Process the modification. This is the main method that has to be implemented by all subclasses.

  Specified by:
    `process` in class `Modification`
  Parameters:
    `transaction` -
  Throws:
    `EXistException`
    `XPathException`
    `LockException`
    `PermissionDeniedException`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `Modification`

Copyright (C) Wolfgang Meier. All rights reserved.